<?php

namespace App\Http\Livewire;

use App\Models\ControlDiario;
use App\Models\Equipo;
use Carbon\Carbon;
use App\Models\Taller;
use Livewire\Component;

class Dashboard extends Component
{
   /* public $fechaFiltro;

    public function mount()
    {
        $this->fechaFiltro = Carbon::today()->format('Y-m-d');
    }

    public function render()
    {
        $fecha = Carbon::parse($this->fechaFiltro);

        $equiposActivosHoy = Equipo::where('estado', 'activo')->count();
        $numeroSalidas = ControlDiario::whereDate('fecha', $fecha)
                            ->where('salio', true)
                            ->count();
        $totalEquipos = Equipo::count();
        $equiposQueSalieronHoy = ControlDiario::with('equipo')
            ->whereDate('fecha', $fecha)
            ->where('salio', true)
            ->get();

        return view('livewire.dashboard', [
            'equiposActivosHoy' => $equiposActivosHoy,
            'numeroSalidas' => $numeroSalidas,
            'totalEquipos' => $totalEquipos,
            'equiposQueSalieronHoy' => $equiposQueSalieronHoy,
        ]);
    }*/

    public function render()
{
    $fecha = Carbon::parse($this->fechaFiltro);

    $equiposActivosHoy = Equipo::where('estado', 'activo')->count();
    $equiposInactivos = Equipo::where('estado', 'inactivo')->count();

    $equiposInactivosEnTaller = Taller::whereHas('equipo', function ($query) {
        $query->where('estado', 'inactivo');
    })->count();

    $numeroSalidas = ControlDiario::whereDate('fecha', $fecha)
                        ->where('salio', true)
                        ->count();

    $totalEquipos = Equipo::count();

    $equiposQueSalieronHoy = ControlDiario::with('equipo')
        ->whereDate('fecha', $fecha)
        ->where('salio', true)
        ->get();

    return view('livewire.dashboard', [
        'equiposActivosHoy' => $equiposActivosHoy,
        'equiposInactivos' => $equiposInactivos,
        'equiposInactivosEnTaller' => $equiposInactivosEnTaller,
        'numeroSalidas' => $numeroSalidas,
        'totalEquipos' => $totalEquipos,
        'equiposQueSalieronHoy' => $equiposQueSalieronHoy,
    ]);


}
